import { Config, IStorageAdapter, JsonObject, PathItem } from '../types';
import { AxiosInstance } from 'axios';
export declare class NowAdapter implements IStorageAdapter {
    readonly config: Config;
    readonly client: AxiosInstance;
    constructor(config: Config);
    static init(config: Config): NowAdapter;
    set(value: JsonObject, path: PathItem[]): Promise<string>;
    update(value: JsonObject, path: PathItem[]): Promise<void>;
    get(path: PathItem[]): Promise<JsonObject>;
    remove(path: PathItem[]): Promise<void>;
}
