import S3 from 'aws-sdk/clients/s3';
import { Config, IStorageAdapter, JsonObject, PathItem } from '../types';
export declare class S3Adapter implements IStorageAdapter {
    readonly config: Config;
    readonly client: S3;
    constructor(config: Config);
    static init(config: Config): S3Adapter;
    set(value: JsonObject, path: PathItem[]): Promise<string>;
    update(value: JsonObject, path: PathItem[]): Promise<void>;
    get(path: PathItem[]): Promise<JsonObject | null>;
    remove(path: PathItem[]): Promise<void>;
}
